# ACE_Less_Than< const char * > Class Template Reference

Function object for determining whether the first const string is less than the second const string. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

int | operator() (const char *lhs, const char *rhs) const
| Simply calls ACE_OS::strcmp.

## Detailed Description

### template<>
class ACE_Less_Than< const char * >

Function object for determining whether the first const string is less than the second const string.

## Member Function Documentation

ACE_INLINE int ACE_Less_Than< const char * >::operator() | ( | const char * | lhs,
|  | const char * | rhs
| ) | const

| Simply calls ACE_OS::strcmp.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl